#!/bin/bash
DISPLAY=:0.0
export DISPLAY

fullscreen=0

while true
do
	fullscreen_window=0
	for window in `wmctrl -l | awk '{print $1}'`
	do
		if [ `xprop -id $window | grep _NET_WM_STATE_FULLSCREEN | wc -l` -ge 1 ]; then
			killall -9 xcompmgr
			fullscreen_window=1
			if [ $fullsceen -eq 0 ]; then
				wmctrl -i -a $window
				fullscreen=1
			fi
		fi
	done
	if [ $fullscreen_window -eq 0 ]; then
		fullscreen=0
	fi
	if [ `pidof xcompmgr | wc -l` -lt 1 ] && [ $fullscreen -eq 0 ]; then
		xcompmgr -a &
	fi
	# to rapid checks seem to cause more issues
	sleep 2
done		
